import request from '@/utils/request'

// 查询生产rfid流程列表
export function listRfidProcess(query) {
	return request({
		url: '/mes/rfidProcess/list',
		method: 'get',
		params: query
	});
}

// 查询生产rfid流程详细
export function getRfidProcess(recordId) {
	return request({
		url: '/mes/rfidProcess/' + recordId,
		method: 'get'
		});
}

// 新增生产rfid流程
export function addRfidProcess(data) {
	return request({
		url: '/mes/rfidProcess',
		method: 'post',
		data: data
	});
}

// 修改生产rfid流程
export function updateRfidProcess(data) {
	return request({
		url: '/mes/rfidProcess',
		method: 'put',
		data: data
	});
}

// 删除生产rfid流程
export function delRfidProcess(recordId) {
	return request({
		url: '/mes/rfidProcess/' + recordId,
		method: 'delete'
	});
}
